Bug 24624 - Phase out jquery.cookie.js: Receipt summary
Summary: Phase out jquery.cookie.js: Receipt summary
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 23944
Blocks: 27750
  Show dependency treegraph
 
Reported: 2020-02-10 19:32 UTC by Owen Leonard
Modified: 2021-06-14 21:35 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This patch removes the jquery.cookie.js plugin from the "Receive orders" page in acquisitions as it is no longer used.
Version(s) released in:
21.05.00


Attachments
Bug 24624: Remove unused jquery.cookie.js plugin (1.44 KB, patch)
2021-02-18 18:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24624: Remove unused jquery.cookie.js plugin (1.48 KB, patch)
2021-02-20 01:46 UTC, David Nind
Details | Diff | Splinter Review
Bug 24624: Remove unused jquery.cookie.js plugin (1.54 KB, patch)
2021-02-28 17:49 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-02-10 19:32:52 UTC
In acquisitions, the receipt summary page uses cookies to remember the settings in the sidebar filter.

This process should use the newer cookie library, js-cookie.
Comment 1 Owen Leonard 2021-02-18 18:06:38 UTC
Although the plugin is included in the template (acquit/parcel.tt) it isn't used.
Comment 2 Owen Leonard 2021-02-18 18:13:46 UTC
Created attachment 117011 [details] [review]
Bug 24624: Remove unused jquery.cookie.js plugin

This patch removes inclusion of the jquery.cookie.js plugin from the
"Receive orders" page in Acquisitions. It is unused.

To test apply the patch and follow the process for receiving an order in
Acquisitions:

- Acquisitions -> Vendor -> Receive shipments -> Receive a new shipment
- The table of pending orders should display correctly, and there should
  be no JavaScript errors in the browser console.
Comment 3 David Nind 2021-02-20 01:46:15 UTC
Created attachment 117105 [details] [review]
Bug 24624: Remove unused jquery.cookie.js plugin

This patch removes inclusion of the jquery.cookie.js plugin from the
"Receive orders" page in Acquisitions. It is unused.

To test apply the patch and follow the process for receiving an order in
Acquisitions:

- Acquisitions -> Vendor -> Receive shipments -> Receive a new shipment
- The table of pending orders should display correctly, and there should
  be no JavaScript errors in the browser console.

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 David Nind 2021-02-20 01:50:57 UTC
Testing notes:
- Everything continues to work and display as expected.
- lib/jquery/plugins/jquery.cookie.min.js is no longer in koha-tmpl/intranet-tmpl/prog/en/modules/acqui/parcel.tt
- No JavaScript errors in the console.
- lib/jquery/plugins/jquery.cookie.min.js still appears in the page source, assume that is because it appears in other source files:
    git grep lib/jquery/plugins/jquery.cookie.min.js
    koha-tmpl/intranet-tmpl/prog/en/includes/js_includes.inc
    koha-tmpl/intranet-tmpl/prog/en/modules/circ/offline-mf.tt
    koha-tmpl/opac-tmpl/bootstrap/en/includes/opac-bottom.inc
    koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-advsearch.tt
Comment 5 Katrin Fischer 2021-02-28 17:49:33 UTC
Created attachment 117421 [details] [review]
Bug 24624: Remove unused jquery.cookie.js plugin

This patch removes inclusion of the jquery.cookie.js plugin from the
"Receive orders" page in Acquisitions. It is unused.

To test apply the patch and follow the process for receiving an order in
Acquisitions:

- Acquisitions -> Vendor -> Receive shipments -> Receive a new shipment
- The table of pending orders should display correctly, and there should
  be no JavaScript errors in the browser console.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2021-03-04 16:25:10 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-03-08 15:39:36 UTC
Enhancement not pushed to 20.11.x